package ru.yandex.canvas.service.video.presets.configs.options;

public class PositionOptionConfig extends OptionConfig {

    private PositionOptionConfig() {
    }

    protected PositionOptionConfig(PositionOptionConfig ageConfigOption) {
        super(ageConfigOption);
        setType(OptionType.POSITION);
    }

    public static PositionOptionConfig.Builder builder() {
        return new PositionOptionConfig().new Builder();
    }

    public class Builder extends OptionConfig.Builder<PositionOptionConfig, PositionOptionConfig.Builder> {
        @Override
        public PositionOptionConfig build() {
            return new PositionOptionConfig(PositionOptionConfig.this);
        }
    }
}
